# Interface methods for submodule: RandomImageSource
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: RandomImageSource
class RandomImageSourceProxy(_ImageSourceProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def SetSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	@overload
	def SetSize(self, sizeArray) -> None:
		""""""
		...

	def GetSize(self):
		""""""
		...

	@overload
	def SetSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSpacing(self, spacingArray) -> None:
		""""""
		...

	def GetSpacing(self):
		""""""
		...

	@overload
	def SetOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, originArray) -> None:
		""""""
		...

	def GetOrigin(self):
		""""""
		...

	def SetDirection(self, _arg) -> None:
		""""""
		...

	def GetDirection(self):
		""""""
		...

	@overload
	def SetMin(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMin(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMin(self) -> float:
		""""""
		...

	@overload
	def GetMin(self) -> int:
		""""""
		...

	@overload
	def SetMax(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetMax(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetMax(self) -> float:
		""""""
		...

	@overload
	def GetMax(self) -> int:
		""""""
		...

